
From: maximilian attems <janitor@sternwelten.at>

Fix hd section references:
make parse_hd_setup() __init

Error: ./drivers/ide/legacy/hd.o .text refers to 00000943 R_386_PC32
.init.text

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                       |    0 
 25-akpm/drivers/ide/legacy/hd.c |    2 +-
 2 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ide/legacy/hd.c~hd-eliminate-bad-section-references drivers/ide/legacy/hd.c
--- 25/drivers/ide/legacy/hd.c~hd-eliminate-bad-section-references	Mon Apr  4 15:23:19 2005
+++ 25-akpm/drivers/ide/legacy/hd.c	Mon Apr  4 15:23:19 2005
@@ -851,7 +851,7 @@ Enomem:
 	goto out;
 }
 
-static int parse_hd_setup (char *line) {
+static int __init parse_hd_setup (char *line) {
 	int ints[6];
 
 	(void) get_options(line, ARRAY_SIZE(ints), ints);
diff -L drivers/ide/legacy/hd.c.orig -puN /dev/null /dev/null
_
